import type { Reflection } from "../../models/reflections/abstract";
import { ConverterComponent } from "../components";
import type { Context } from "../../converter";
/**
 * A plugin that resolves `{@link Foo}` tags.
 */
export declare class LinkResolverPlugin extends ConverterComponent {
    /**
     * Create a new LinkResolverPlugin instance.
     */
    initialize(): void;
    /**
     * Find all old style double bracket references to symbols within the given text and transform them into a link.
     *
     * @param text  The text that should be parsed.
     * @returns The text with symbol references replaced by links.
     */
    private replaceBrackets;
    onResolve(context: Context): void;
    processReflection(reflection: Reflection): void;
    private processParts;
    private processPart;
    /**
     * Split the given link into text and target at first pipe or space.
     *
     * @param text  The source string that should be checked for a split character.
     * @returns An object containing the link text and target.
     */
    static splitLinkText(text: string): {
        caption: string;
        target: string;
    };
}
